Bug 444795 - pvcreate segfaults when devices had pool labels
pvcreate segfaults when devices had pool labels
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Zdenek Kabelac
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 12:52 EDT by Corey Marthaler
Modified: 2010-01-11 22:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core from segfault (496.00 KB, application/octet-stream)
2008-04-30 12:54 EDT, Corey Marthaler
no flags Details

  None (edit)
Description Corey Marthaler 2008-04-30 12:52:45 EDT
Description of problem:
I had been doing rhel3.9 storage testing, but then reimaged my machines back to
rhel5.2 (forgetting to remove the pool labels). When attempting to pvcreate
those devices, lvm segfaulted.

[root@taft-02 ~]# pvcreate /dev/sdc1
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
Segmentation fault (core dumped)

I'll attach the core.

Version-Release number of selected component (if applicable):
lvm2-2.02.32-4.el5
Comment 1 Corey Marthaler 2008-04-30 12:54:13 EDT
Created attachment 304256 [details]
core from segfault
Comment 2 Milan Broz 2008-06-03 07:01:58 EDT
backtrace 

Core was generated by `pvcreate /dev/sdc1'.
Program terminated with signal 11, Segmentation fault.
#0  import_pool_pv (fmt=0x8d0e180, mem=0x8d0e0c0, vg=0x0, pv=0x8d0f480,
pl=0x8d16060) at /usr/include/bits/string3.h:51
51        return __builtin___memcpy_chk (__dest, __src, __len, __bos0 (__dest));
(gdb) bt
#0  import_pool_pv (fmt=0x8d0e180, mem=0x8d0e0c0, vg=0x0, pv=0x8d0f480,
pl=0x8d16060) at /usr/include/bits/string3.h:51
#1  0x000000000045740d in _pool_pv_read (fmt=0x8d0e180, pv_name=0x7fff95551c3e
"/dev/sdc1", pv=0x8d0f480, mdas=<value optimized out>)
    at format_pool/format_pool.c:254
#2  0x0000000000447052 in _pv_read (cmd=0x8cf74b0, pv_name=0x7fff95551c3e
"/dev/sdc1", mdas=0x0, label_sector=<value optimized out>,
    warnings=<value optimized out>) at metadata/metadata.c:1865
#3  0x000000000041add1 in pvcreate (cmd=0x8cf74b0, argc=1, argv=0x7fff95550140)
at pvcreate.c:45
#4  0x0000000000416b3e in lvm_run_command (cmd=0x8cf74b0, argc=1,
argv=0x7fff95550138) at lvmcmdline.c:931
#5  0x0000000000416e15 in lvm2_main (argc=2, argv=0x7fff95550138, is_static=0)
at lvmcmdline.c:1214
#6  0x00002ba916acd8b4 in ?? ()
#7  0x000000000040cff0 in ?? ()
#8  0x00007fff95550138 in ?? ()
#9  0x0000000200000000 in ?? ()
#10 0x0000000000427990 in _list_cmds () at lvm.c:43
#11 0x00002ba915772bc0 in ?? ()
#12 0x56b361f43f835d2b in ?? ()
#13 0x0000000000000000 in ?? ()
Comment 4 RHEL Product and Program Management 2008-06-09 10:54:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Zdenek Kabelac 2008-06-10 10:59:02 EDT
Bug is fixed in upstream CVS on 2008-06-10
Comment 6 Milan Broz 2008-07-03 05:36:18 EDT
Commited to CVS in version lvm2-2.02.39-1.el5.
Comment 9 errata-xmlrpc 2009-01-20 16:46:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0179.html

Note You need to log in before you can comment on or make changes to this bug.